summaryrefslogtreecommitdiffstats
path: root/tests/proprepltest-nolimittag.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/proprepltest-nolimittag.sh')
-rwxr-xr-xtests/proprepltest-nolimittag.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/proprepltest-nolimittag.sh b/tests/proprepltest-nolimittag.sh
new file mode 100755
index 0000000..9f57525
--- /dev/null
+++ b/tests/proprepltest-nolimittag.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# add 2018-06-27 by Pascal Withopf, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+
+template(name="outfmt" type="string" string="+%syslogtag%+\n")
+
+:pri, contains, "167" action(type="omfile" file=`echo $RSYSLOG_OUT_LOG`
+ template="outfmt")
+
+
+'
+startup
+tcpflood -m1 -M "\"<167>Mar 6 16:57:54 172.20.245.8 TAG: Rest of message...\""
+tcpflood -m1 -M "\"<167>Mar 6 16:57:54 172.20.245.8 0 Rest of message...\""
+tcpflood -m1 -M "\"<167>Mar 6 16:57:54 172.20.245.8 01234567890123456789012345678901 Rest of message...\""
+tcpflood -m1 -M "\"<167>Mar 6 16:57:54 172.20.245.8 01234567890123456789012345678901-toolong Rest of message...\""
+shutdown_when_empty
+wait_shutdown
+
+echo '+TAG:+
++0+
++01234567890123456789012345678901+
++01234567890123456789012345678901-toolong+' | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid response generated, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+
+exit_test